Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.clickthrough
Class AbstractClickEventValidator

    java.lang.Object
      com.bea.p13n.tracking.clickthrough.AbstractClickEventValidator

All Implemented Interfaces:
  ClickEventValidator

Direct Known Subclasses:
  ClickCampaignEventValidator, ClickContentEventValidator, ClickProductEventValidator

public abstract class AbstractClickEventValidator
extends Object
implements ClickEventValidator

Field Summary
`String` | `applicationName`
`String` | `documentId`
`String` | `documentType`
`protected static com.bea.p13n.i18n.TrackingExceptionTextFormatter` | `exceptionFormatter`
`HttpServletRequest` | `req`
`String` | `sessionId`
`String` | `userId`

Constructor Summary
`AbstractClickEventValidator()`

Method Summary
`void` | `initialize(HttpServletRequest request)` Initialize local variables common to all validators.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.p13n.tracking.clickthrough.ClickEventValidator
`validateAndFire`

Field Detail

### applicationName

    public String applicationName

### documentId

    public String documentId

### documentType

    public String documentType

### exceptionFormatter

    protected static final com.bea.p13n.i18n.TrackingExceptionTextFormatter exceptionFormatter

### req

    public HttpServletRequest req

### sessionId

    public String sessionId

### userId

    public String userId

Constructor Detail

### AbstractClickEventValidator

    public AbstractClickEventValidator()

Method Detail

### initialize

    public void initialize(HttpServletRequest request)
                    throws InvalidArgumentException

  Initialize local variables common to all validators.

  Throws:
    `InvalidArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved